All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
gnuplot.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <roboptim/core/function.hh>`
`#include <vector>`
`#include <Eigen/Core>`
`#include <Eigen/Sparse>`
`#include <roboptim/core/visualization/fwd.hh>`
`#include <roboptim/core/visualization/gnuplot-commands.hh>`

## Classes

class | roboptim::visualization::Gnuplot
| Gnuplot script. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::visualization
| Graphic visualization.

## Macros

#define | EIGEN_YES_I_KNOW_SPARE_MODULE_IS_NOT_STABLE_YET

## Functions

double | roboptim::visualization::normalize (const double &x)
| Normalize floating point number output. More...
Eigen::MatrixXd | roboptim::visualization::normalize (const Eigen::MatrixXd &x)
| Apply normalize to each element of a matrix. More...
template<typename T >
T | roboptim::visualization::normalize (const T &x)
| Apply normalize to each element of a container. More...
template<typename T >
Gnuplot & | roboptim::visualization::operator<< (Gnuplot &gp, T t)
| Override operator<< to handle Gnuplot command insertion. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::visualization::operator<< (std::ostream &, const Gnuplot &gp)
| Override operator<< to handle Gnuplot script display. More...

## Macro Definition Documentation

#define EIGEN_YES_I_KNOW_SPARE_MODULE_IS_NOT_STABLE_YET